#
# spec file for package python3-fake-factory
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-fake-factory
Version:        0.7.2
Release:        1.2
License:        MIT
Summary:        Faker is a Python package that generates fake data for you
Url:            http://github.com/joke2k/faker
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/f/fake-factory/fake-factory-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires(post):   update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Faker is a Python package that generates fake data for you. Whether
you need to bootstrap your database, create good-looking XML documents,
fill-in your persistence to stress test it, or anonymize data taken from
a production service, Faker is for you.

Faker is heavily inspired by PHP Faker, Perl Faker, and by Ruby Faker.

%prep
%setup -q -n fake-factory-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/faker %{buildroot}%{_bindir}/faker-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/faker %{buildroot}%{_bindir}/faker
# create a dummy target for /etc/alternatives/faker
touch %{buildroot}%{_sysconfdir}/alternatives/faker

%post
"%_sbindir/update-alternatives" \
   --install %{_bindir}/faker faker %{_bindir}/faker-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    "%_sbindir/update-alternatives" --remove faker %{_bindir}/faker-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt CHANGELOG.rst
%{python3_sitelib}/*
%{_bindir}/faker
%{_bindir}/faker-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/faker

%changelog
* Sun Sep 25 2016 arun@gmx.de
- update to version 0.7.2:
  (no changelog available for 0.7.x)
- changes from version 0.6.0:
  * Dropped Python 2.6 support
- changes from version 0.5.11:
  * Add optional parameter sex to profile and simple_profile. Thanks
    @navyad.
  * Fix whitespace in dk_DK provider last_names/last_name. Thanks
    @iAndriy.
  * Fix utf8 coding issue with address/fi_FI provider. Thanks @delneg.
  * ! Latest version to support Python 2.6
- changes from version 0.5.10:
  * Fix random_sample_unique. Thanks @cecedille1.
* Sun Jul 10 2016 arun@gmx.de
- specfile:
  * update download url to pythonhosted
  * remove test for opensuse version < 1110
- update to version 0.5.9:
  * Add more pt_BR names. Thanks @cuducos.
  * Added en_GB names. Thanks @jonny5532.
  * Add romanized internet provider for zh_CN.
  * Add fr_CH providers. Thanks @gfavre.
- changes from version 0.5.7:
  * Improve CLI output and help. Thanks @cbaines.
  * Update en_US anmes to be more realistic. Thanks @dethpickle.
  * Modify pystr provider to accept a minimum number of
    characters. Thanks @tamarbuta.
  * Add job Provider for zh_TW. Thanks @weihanglo.
* Mon May  9 2016 toddrme2178@gmail.com
- Initial python 3 version.
* Mon May  9 2016 toddrme2178@gmail.com
- Update to 0.5.7
  * Repackage to resolve PyPI issue.
- Update to 0.5.6
  * Add date handling for datetime functions. Thanks @rpkilby.
  * Discern male and female first names in pt_BR. Thanks @gabrielusvicente.
- Update to 0.5.5
  * Specify help text for command line. Thanks @cbaines.
- Update to 0.5.4
  * Expose Provider's random instance. Thank @gsingers for the suggestion.
  * Make sure required characters are in the password. Thanks @craig552uk.
  * Add `internet` and `jobs` Providers for `fa_IR`. Thanks @hamidfzm.
  * Correct Poland phone numbers. Thanks @fizista.
  * Fix brittly tests due to seconds elapsed in-between comparison
  * Allow unicode in emails and domains. Thanks @zdelagrange for the report.
  * Use ``dateutil`` for computing next_month. Thanks @mark-love, @rshk.
  * Fix tests module import. Thanks @jorti for the report.
  * Handle unexpected length in ``ean()``. Thanks @michaelcho.
  * Add internet provider for ``ja_JP``. Thanks @massa142.
  * Add Romanized Japanese person name. Thanks @massa142.
  * Add tzinfo support to datetime methods. Thanks @j0hnsmith.
  * Add an 'office' file extensions category. Thanks @j0hnsmith.
  * Generate name according to profile's sex. Thanks @Dutcho for the report.
  * Add ``bs_BA`` phone number and internet provider. Thanks @elahmo.
  * Add a SSN provider for ``zh_CN``. Thanks @felixonmars.
  * Differentiate male and female first names in ``fr_FR`` locale. Thanks @GregoryVds
  * Add Maestro credit card. Thanks @anthonylauzon.
  * Add ``hr_HR`` localization. Thanks @mislavcimpersak.
  * Update ``de_DE`` first names. Thanks @WarrenFaith and @mschoebel.
  * Allow generation of IPv4 and IPv6 network address with valid CIDR. Thanks @kdeldycke.
  * Unittest IPv4 and IPv6 address and network generation. Thanks @kdeldycke.
  * Add a new provider to generate random binary blob. Thanks @kdeldycke.
  * Check that randomly produced language codes are parseable as locale by the
    factory constructor. Thanks @kdeldycke.
  * Fix chinese random language code. Thanks @kdeldycke.
  * Remove duplicate words from Lorem provider. Thanks @jeffwidman.
* Tue Nov 10 2015 tbechtold@suse.com
- Initial packaging (version 0.5.3)
